GriffonExceptionHandler (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class GriffonExceptionHandler

    java.lang.Object
      griffon.util.GriffonExceptionHandler

All Implemented Interfaces:
  Thread.UncaughtExceptionHandler

    public class GriffonExceptionHandler
    extends Object

Catches and sanitizes all uncaught exceptions.

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`private static String[]` | `CONFIG_OPTIONS`
`static String` | `GRIFFON_EXCEPTION_OUTPUT` "griffon.exception.output"
`static String` | `GRIFFON_FULL_STACKTRACE` "griffon.full.stacktrace"
`private static org.slf4j.Logger` | `LOG`

Constructor Summary
`GriffonExceptionHandler()`

Method Summary
`static void` | `configure(Map config)`
`void` | `handle(Throwable throwable)`
`static boolean` | `isOutputEnabled()`
`static void` | `registerExceptionHandler()`
`static Throwable` | `sanitize(Throwable throwable)`
`void` | `uncaughtException(Thread t, Throwable e)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CONFIG_OPTIONS

    private static final String[] CONFIG_OPTIONS

### GRIFFON_EXCEPTION_OUTPUT

    public static final String GRIFFON_EXCEPTION_OUTPUT

  "griffon.exception.output"

### GRIFFON_FULL_STACKTRACE

    public static final String GRIFFON_FULL_STACKTRACE

  "griffon.full.stacktrace"

### LOG

    private static final org.slf4j.Logger LOG

Constructor Detail

### GriffonExceptionHandler

    GriffonExceptionHandler()

Method Detail

### configure

    public static void configure(Map config)

### handle

    public void handle(Throwable throwable)

### isOutputEnabled

    public static boolean isOutputEnabled()

### registerExceptionHandler

    public static void registerExceptionHandler()

### sanitize

    public static Throwable sanitize(Throwable throwable)

### uncaughtException

    public void uncaughtException(Thread t, Throwable e)

Groovy Documentation